/*************************************************************
 * 
 * Copyright 2011 Red Hat, Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you
 * may not use this file except in compliance with the License.  You may
 * obtain a copy of the License at
 * 
 *    http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 *************************************************************/

/*
 * config.h.cmake.  
 * config.h generated by cmake using system info gathered by
 * build/cmake/macros/SystemSpecificInformations.cmake.
 */

#ifndef __CONFIGURE_H_CMAKE__
#define __CONFIGURE_H_CMAKE__

//////////////////////////////////////////////////
// Sadly, some of these are still in use
/* Define if on FreeBSD 4 */
/* #undef CONDOR_FREEBSD4 */
/* Define if on FreeBSD 5 */
/* #undef CONDOR_FREEBSD5 */
/* Define if on FreeBSD 6 */
/* #undef CONDOR_FREEBSD6 */
/* Define if on FreeBSD 7 */
/* #undef CONDOR_FREEBSD7 */
///* Define if on FreeBSD 8 */
/* #undef CONDOR_FREEBSD8 */
///* Define if on FreeBSD 9 */
/* #undef CONDOR_FREEBSD9 */
///* Define if on FreeBSD 9 or later, which use utmpx insead of utmp */
/* #undef CONDOR_UTMPX */
///* Define if on FreeBSD */
/* #undef CONDOR_FREEBSD */

//////////////////////////////////////////////////

#define BUILDID 736489

/////////////////////////////////////////
// The following are configurable options
// previously --enable or --with...

/* Define to 1 to support invoking hooks throughout the workflow of a job (USED)*/
#define HAVE_JOB_HOOKS 1

/* Define to 1 to support Condor-controlled hibernation (USED)*/
#define HAVE_HIBERNATION 1

/* Define to 1 to support condor_ssh_to_job (USED)*/
#define HAVE_SSH_TO_JOB 1

/* Define to 1 to support condor_shared_port (USED)*/
#define HAVE_SHARED_PORT 1

/* Define to 1 to support condor_shared_port(s) passing fds (USED)*/
#define HAVE_SCM_RIGHTS_PASSFD 1

/* Define to 1 to support public input file transfer over HTTP */
#define HAVE_HTTP_PUBLIC_FILES 1

// configurable options.
/////////////////////////////////////////

/* Define if pthreads are available (USED)*/
#define HAVE_PTHREADS 1

/* Define to 1 if you have the 'access' function. */
#define HAVE_ACCESS 1

/* Define to 1 if you have the 'access' function. */
#define HAVE_EUIDACCESS 1

/* are we compiling support for any backfill systems (USED)*/
#define HAVE_BACKFILL 1

/* are we compiling support for backfill with BOINC (USED)*/
/* #undef HAVE_BOINC */

/* Define to 1 to use clone() for fast forking (USED)*/
#define HAVE_CLONE 1

/* Define to 1 if you have the declaration of 'res_init', and to 0 if you don't.  (USED-daemoncore */
#define HAVE_DECL_RES_INIT 1

/* Define to 1 if you have the declaration of 'SIOCETHTOOL', and to 0 if you don't. (USED)*/
#define HAVE_DECL_SIOCETHTOOL 1

/* Define to 1 if you have the declaration of 'SIOCGIFCONF', and to 0 if you don't. (USED)*/
#define HAVE_DECL_SIOCGIFCONF 1

/* Define to 1 if you have the 'readdir64' function. (used)*/
#define HAVE_READDIR64 1

/* Define to 1 if you have the 'backtrace' function.*/
#define HAVE_BACKTRACE 1

/* Define to 1 if you have the 'unshare' systemcall.*/
#define HAVE_UNSHARE 1

/* Define to 1 if the system has the MS_PRIVATE flag. */
#define HAVE_MS_PRIVATE 1

/* Define to 1 if the system has the MS_SHARED flag. */
#define HAVE_MS_SHARED 1

/* Define to 1 if the system has the MS_SLAVE flag. */
#define HAVE_MS_SLAVE 1

/* Define to 1 if the system has the MS_REC flag. */
#define HAVE_MS_REC 1

/* Do we have the krb5 external (USED)*/
#define HAVE_EXT_KRB5 1

/* Do we have the munge external (USED)*/
#define HAVE_EXT_MUNGE 1

/* Do we have the scitokens external (USED)*/
#define HAVE_EXT_SCITOKENS 1

/* Do we have the voms external (USED)*/
#define HAVE_EXT_VOMS 1

/* Do we have the libvirt external (USED)*/
#define HAVE_EXT_LIBVIRT 1

///* Do we have the curl external (Imake)*/
#define HAVE_EXT_CURL

///* Do we have the libcgroup external */
/* #undef HAVE_EXT_LIBCGROUP */

/* Define to 1 if you have the 'fstat64' function. (USED)*/
#define HAVE_FSTAT64 1

/* Define to 1 if you have the 'getdtablesize' function. (USED)*/
#define HAVE_GETDTABLESIZE 1

/* Define to 1 if you have the 'gettimeofday' function. (USED)*/
#define HAVE_GETTIMEOFDAY 1

/* Define to 1 if you have the 'clock_nanosleep' function. (USED)*/
#define HAVE_CLOCK_NANOSLEEP 1

/* are we using the GNU linker (USED) */
#define HAVE_GNU_LD 1

/* Define to 1 if the system has the type 'int64_t'. (USED)*/
#define HAVE_INT64_T 1

/* Define to 1 if you have the <inttypes.h> header file. (USED)*/
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the <linux/ethtool.h> header file.*/
#define HAVE_LINUX_ETHTOOL_H 1

/* Define to 1 if you have the <linux/sockios.h> header file. (USED)*/
#define HAVE_LINUX_SOCKIOS_H 1

/* Define to 1 if you have the <linux/tcp.h> header file. (USED)*/
#define HAVE_LINUX_TCP_H 1

/* Define to 1 if you have the <linux/types.h> header file. (USED)*/
#define HAVE_LINUX_TYPES_H 1

/* Define to 1 if the system has the type 'long long'. (USED)*/
#define HAVE_LONG_LONG 1

/* Define to the size of the of type 'long long'. (USED)*/
#define SIZEOF_LONG_LONG 8

/* Define to the size of the of type 'long'. (USED)*/
#define SIZEOF_LONG 8

/* Define to 1 if you have the 'lstat' function. (USED)*/
#define HAVE_LSTAT 1

/* Define to 1 if you have the 'lstat64' function. (USED)*/
#define HAVE_LSTAT64 1

/* Define to 1 if you have the 'mkstemp' function. (used)*/
#define HAVE_MKSTEMP 1

/* Define to 1 if you have the <net/if.h> header file. (USED)*/
#define HAVE_NET_IF_H 1

/* Define to 1 if you have the <os_types.h> header file. (USED)*/
/* #undef HAVE_OS_TYPES_H */

/* Define to 1 if you have the <resolv.h> header file. (USED)*/
#define HAVE_RESOLV_H 1

/* does os support the sched_setaffinity (USED)*/
#define HAVE_SCHED_SETAFFINITY 1

/* does sched_setaffinity take two args (USED)*/
/* #undef HAVE_SCHED_SETAFFINITY_2ARG */

/* Define to 1 if you have the 'eventfd' function. (USED)*/
#define HAVE_EVENTFD 1

/* Define to 1 if we have the netgroup innetgr() function */
#define HAVE_INNETGR 1

/* Define to 1 if you have the 'stat64' function. (USED)*/
#define HAVE_STAT64 1

/* Define to 1 if you have the 'statfs' function. (USED)*/
#define HAVE_STATFS 1

/* Define to 1 if you have the 'strcasestr' function. (USED)*/
#define HAVE_STRCASESTR 1

/* Define to 1 if you have the 'strsignal' function. (USED)*/
#define HAVE_STRSIGNAL 1

/* Define to 1 if the system has the type 'struct ifconf'. (USED) */
#define HAVE_STRUCT_IFCONF 1

/* Define to 1 if the system has the type 'struct ifreq'. (USED)*/
#define HAVE_STRUCT_IFREQ 1

/* Define to 1 if 'ifr_hwaddr' is member of 'struct ifreq' (USED)*/
#define HAVE_STRUCT_IFREQ_IFR_HWADDR 1

/* Define to 1 if struct sockaddr_in has sin_len member. (USED)*/
/* #undef HAVE_STRUCT_SOCKADDR_IN_SIN_LEN */

/* Define to 1 if 'f_fstypename' is member of 'struct statfs'. (USED)*/
/* #undef HAVE_STRUCT_STATFS_F_FSTYPENAME */

/* Define to 1 if you have the <sys/param.h> header file. (USED)*/
#define HAVE_SYS_PARAM_H 1

/* Define to 1 if you have the <sys/types.h> header file. (USED)*/
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <procfs.h> header file. (USED)*/
/* #undef HAVE_PROCFS_H */

/* Define to 1 if you have the <sys/procfs.h> header file. (USED)*/
#define HAVE_SYS_PROCFS_H 1

/* Define to 1 if you have the 'vasprintf' function. (USED)*/
#define HAVE_VASPRINTF 1

/* Define to 1 if you have the '_fstati64' function. (USED)*/
/* #undef HAVE__FSTATI64 */

/* Define to 1 if you have the '_lstati64' function. (USED)*/
/* #undef HAVE__LSTATI64 */

/* Define to 1 if you have the '_stati64' function. (USED)*/
/* #undef HAVE__STATI64 */

/* Define to 1 if you have the fdatasync function (Linux) */
#define HAVE_FDATASYNC 1

/* Define to 1 if the system has the type '__int64'. (USED)*/
/* #undef HAVE___INT64 */

/* Number of arguments to statfs() (USED)*/
#define STATFS_ARGS 2

/* Number of arguments to sigwait() (USED)*/
#define SIGWAIT_ARGS 2

/* Define to 1 if the system has getifaddrs().*/
#define HAVE_GETIFADDRS 1

/* Define to 1 if the system has proportional set size (PSS).*/
#define HAVE_PSS 1

/* Define to 1 if the OS has support for epoll (Linux) */
#define CONDOR_HAVE_EPOLL

/* Define to 1 if the OS has support for the TCP_KEEPALIVE setsockopt (Mac) */
/* #undef HAVE_TCP_KEEPALIVE */

/* Define to 1 if the OS has support for the TCP_KEEPIDLE setsockopt (Linux) */
#define HAVE_TCP_KEEPIDLE

/* Define to 1 if the OS has support for the TCP_KEEPCNT setsockopt */
#define HAVE_TCP_KEEPCNT

/* Define to 1 if the OS has support for the TCP_KEEPINTVL setsockopt */
/* #undef HAVE_TCP_KEEPINTVL */

/* Define to 1 if /usr/include/sd-daemon.h exists.  Enables systemd integration */
#define HAVE_SD_DAEMON_H

/* Define to 1 if the OS has support for the TCP_USER_TIMEOUT setsockopt */
/* #undef HAVE_TCP_USER_TIMEOUT */

/* Define to 1 if the OS has inotify API support */
#define HAVE_INOTIFY

/* Define to 1 if libssl and the kerberos libraries need to dlopen()d */
#define DLOPEN_SECURITY_LIBS

/* Define to 1 if the X screen saver extension header file is available */
#define HAVE_XSS

/* Define if libcurl uses NSS */
/* #undef CURL_USES_NSS */

/* SO-versioned names for libraries that we may need to dlopen() */
#define LIBCOM_ERR_SO "libcom_err.so.2"
#define LIBKRB5SUPPORT_SO "libkrb5support.so.0"
#define LIBK5CRYPTO_SO "libk5crypto.so.3"
#define LIBKRB5_SO "libkrb5.so.3"
#define LIBGSSAPI_KRB5_SO "libgssapi_krb5.so.2"
#define LIBSSL_SO "libssl.so.1.1"
#define LIBMUNGE_SO "libmunge.so.2"
#define LIBVOMSAPI_SO "libvomsapi.so.1"
#define LIBSYSTEMD_DAEMON_SO "libsystemd.so.0"

#endif
